List:MySQL++« Previous MessageNext Message »
From:far_star Date:August 24 2006 4:10am
Subject:mysql++ couldn't work with static library -- libmysqlclient.a ?
View as plain text  
I have installed mysql-standard-5.0.24-linux-i686 from binary and it does work well.
but when I tried to compile mysql++-2.1.1 by typing
./configure --prefix=/home/jing/mysql++ --with-mysql=/home/jing/mysql --enable-thread-check
I got this message
checking for mysql_store_result in -lmysqlclient... no
configure: error: Could not find working MySQL client library!
I checked the directory of mysql/lib, and I did find mysql client library -- libmysqlclient.a, but no libmysqlclient.so
So I compiled mysql client from source, and got libmysqlclient.so.15.0.0
I made a symbolic link, then the configure passed.
So, mysql++ can only be compiled with dynamic library -- libmysqlclient.so?







--经典荟萃 时尚男VhZnAuYWxseWVzLmNvbS9tYWluL2FkZmNsaWNrP2RiPWV5b3VhZnAmYmlkPTk1LDgxLDMmY2lkPTczLDksMSZzaWQ9MTY4JmFkdmlkPTQmY2FtaWQ9NCZzaG93PWlnbm9yZSZ1cmw9aHR0cDovL2FkZmFybS5tZWRpYXBsZXguY29tL2FkL2NrLzQwODAtMjI5MDMtOTQ5OS0wP2FpZD1leW91O3RleHQ7MTAzJm1wcm89aHR0cDovL3BhZ2VzLmViYXkuY29tLmNuL1ZhbHVlRHJpdmUvem9uZXMvbWFuLmh0bWw=

--http://sms.eyou.com
--无忧二二族、足球大富翁...尽谝谟识绦
Thread
mysql++ couldn't work with static library -- libmysqlclient.a ?far_star24 Aug
Re: mysql++ couldn't work with static library -- libmysqlclient.a?Warren Young24 Aug
Re: mysql++ couldn't work with static library -- libmysqlclient.a?far_star24 Aug
Re: mysql++ couldn't work with static library -- libmysqlclient.a?far_star24 Aug